cvx_begin quiet

variables x12 x23 x13;
variable S(7,7);

S == semidefinite(7,7);
S(1,1) == 1;
S(2,2) == 1;
S(3,3) == 1;
S(1,2) == x12;
S(1,3) == x13;
S(2,3) == x23;

S(4,4) == -0.1 - x12;
S(5,5) == x12 + 0.2;
S(6,6) == 0.5 - x23;
S(7,7) == x23 - 0.4;

maximize(x13);
cvx_end

x13max = x13;

cvx_begin quiet

variables x12 x23 x13;
variable S(7,7);

S == semidefinite(7,7);
S(1,1) == 1;
S(2,2) == 1;
S(3,3) == 1;
S(1,2) == x12;
S(1,3) == x13;
S(2,3) == x23;

S(4,4) == -0.1 - x12;
S(5,5) == x12 + 0.2;
S(6,6) == 0.5 - x23;
S(7,7) == x23 - 0.4;

minimize(x13);
cvx_end


x13min = x13;
fprintf('%f <= x13 <= %f\n', x13min ,x13max);
